local cache = require("lib.reoof.cache")
---@class lappy.source : Cache
---@field cache any
local _cache = cache:extend()

--- new function
function _cache:new()
  _cache.super.new(self, love.audio.newSource, ".source")
  self.cache = {}
end

local obj = _cache()

return {
  class = _cache,
  obj = obj
}
